【整理】Python 3.x的MySQLdb

【问题】

问:

目前在自学python 和Django 碰到个问题 我用的是python3.3但是MySQLdb 驱动没有 for3.3的版本。所以来求助。

【解决过程】

1.参考:

Python 3.3 Mysql Connector [duplicate]

知道了:

Pymysql

2.参考:

MySQL-db lib for Python 3.0?

得知了:

MySQLdb,目前看来,可以视为一个不再继续维护的项目了。

另外,针对python 3.x的mysql,另外一个项目,pymysql导致可以考虑。

其是兼容dbapi的。

 

【总结】

对于Python 3.x,不要再用MySQLdb了,

改用,兼容dbapi的

pymysql

http://code.google.com/p/pymysql/

 

另外也可以去看看:

MySQL Connector/Python

暂时看到说是只支持:

Python v2.4 to v2.7 and Python v3.1 & v3.2

但是之后或许会支持Python 3.3



发表评论

电子邮件地址不会被公开。 必填项已用*标注

无觅相关文章插件,快速提升流量